Skip to main content
GET
ListFamilyAlignments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

familyVersionId
string
required

Provide family_id to identify the family to list alignments.

Query Parameters

pageSize
integer<int64>

The maximum number of family version alignments to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the limit defaults to 200. The maximum value is 1000.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: name, description. For further information about how to use CELs, please refer to this guide.

pageToken
string

A page token, received from a previous ListFamilyAlignments call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListFamilyAlignments must match the call that provided the page token.

Response

A successful response.

familyAlignments
object[]
required
nextPageToken
string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.